---
title: rattler-build upload cloudsmith
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [upload](index.md) cloudsmith

Options for uploading to a Cloudsmith repository. Authentication is used from the keychain / auth-file

## Usage
```
rattler-build upload cloudsmith [OPTIONS] --owner <OWNER> --repo <REPO>
```

## Options
- <a id="arg---owner" href="#arg---owner">`--owner (-o) <OWNER>`</a>
:  The owner (namespace) of the Cloudsmith repository
<br>**required**: `true`
<br>**env**: `CLOUDSMITH_OWNER`
- <a id="arg---repo" href="#arg---repo">`--repo (-r) <REPO>`</a>
:  The Cloudsmith repository name
<br>**required**: `true`
<br>**env**: `CLOUDSMITH_REPO`
- <a id="arg---api-key" href="#arg---api-key">`--api-key (-a) <API_KEY>`</a>
:  The Cloudsmith API key, if none is provided, the token is read from the keychain / auth-file
<br>**env**: `CLOUDSMITH_API_KEY`
- <a id="arg---url" href="#arg---url">`--url (-u) <URL>`</a>
:  The URL to the Cloudsmith API server
<br>**env**: `CLOUDSMITH_API_URL`
